<template>
  <div class="nav-title">
    <div class="home">
      <div clsss="logo">
        <img src="../../public/img/logo.png" class="logo" />
      </div>
      <div class="logo-text">
        <a href="#home" class="lorem-home">
          <span> LOREM </span> <span class="ipsum"> IPSUM </span></a
        >
      </div>
    </div>
    <div class="burger">
      <font-awesome-icon
        icon="fa-solid fa-bars-staggered"
        style="color: #ffffff"
        @click="showMenu = !showMenu"
      />
    </div>
  </div>
  <div class="navbar-item" v-if="showMenu">
    <div>
      <a href="#section1 " class="lorem">LOREM</a>
    </div>
    <div class="lorem-menu">
      <span>
        <a href="#section2" class="lorem">LOREM</a>
      </span>
      <span class="dropdown">
        <img src="../../public/img/Vector.png" class="lorem-dropdown" />
      </span>
    </div>
    <div>
      <a href="#section3" class="lorem">LOREMIPSUM</a>
    </div>
    <div>
      <a href="#section4" class="lorem">LOREM & IPSUM</a>
    </div>
    <div>
      <a href="#section5" class="lorem">LOREM</a>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return { showMenu: false }
  }
}
</script>

<style scoped>
.nav-title {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 10px 16px;
  gap: 20px;
  font-size: 25px;
  justify-content: space-between;
}
.burger {
  display: flex;
  cursor: pointer;
}
nav {
  text-align: left;
  font-size: 2rem;
  padding: 1rem 0;
  margin-top: 1rem;
  display: flex;
  flex-direction: row;
}

.home {
  display: flex;
  align-items: center;
}

.logo {
  width: 35px;
  height: 35px;
  cursor: pointer;
}
.logo-text {
  margin-right: 1.5rem;
  font-weight: 700;
  font-size: 24px;
  font-style: italic;
}
.lorem-home {
  color: #fff;
  text-decoration: none;
  text-shadow: 0px 4px 30px #21612f;
  font-size: 18px;
}
.lorem {
  color: #fff;
  text-decoration: none;
}
.ipsum {
  color: #d9ef0c;
}
.navbar-item {
  justify-content: center;
  display: flex;
  flex-direction: column;
  align-items: end;
  padding-right: 10px;
}

.navbar-item a {
  color: #fff;
  font-size: 13px;
}
.lorem-menu {
  display: flex;
  flex-direction: row;
  gap: 0.5rem;
}
.dropdown {
  width: 8px;
  height: 4.93px;
}
.lorem-dropdown {
  margin-bottom: 0.1rem;
}
</style>
